package com.weather.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.weather.entity.WeaFtpInfo;

import java.util.List;

/**
 * <p>
 * 产品存储ftp Mapper 接口
 * </p>
 *
 * @author feng
 * @since 2023-09-05
 */
public interface WeaFtpInfoMapper extends BaseMapper<WeaFtpInfo> {

    /**
     * 查询FTP信息
     *
     * @param id FTPID
     * @return FTP信息
     */
    public WeaFtpInfo selectWeaFtpInfoById(Long id);

    /**
     * 查询FTP列表
     *
     * @param ftpname FTP信息
     * @return FTP集合
     */
    public List<WeaFtpInfo> selectWeaFtpInfoDim(String ftpname);


    /**
     * 查询列表
     *
     * @param weaFtpInfo FTP信息
     * @return FTP集合
     */
    public List<WeaFtpInfo> selectWeaFtpInfoList(WeaFtpInfo weaFtpInfo);

    /**
     * 新增FTP
     *
     * @param weaFtpInfo FTP信息
     * @return 结果
     */
    public int insertWeaFtpInfo(WeaFtpInfo weaFtpInfo);

    /**
     * 修改FTP
     *
     * @param weaFtpInfo FTP信息
     * @return 结果
     */
    public int updateWeaFtpInfo(WeaFtpInfo weaFtpInfo);

    /**
     * 批量删除FTP
     *
     * @param id FTPID
     * @return 结果
     */
    public int deleteWeaFtpInfoById(Long id);

}
